Page MenuHomePhabricator

[Task] Write functionality tests for special pages
Closed, DeclinedPublic

Description

Most existing tests for special pages do not test the actual functionality of the special page. This should be changed.

Event Timeline

daniel created this task.Mar 11 2015, 12:06 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 12:06 PM
Lydia_Pintscher triaged this task as Medium priority.Mar 30 2015, 9:51 AM
Lydia_Pintscher set Security to None.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.
Jonas renamed this task from Write functionality tests for special pages to [Task] Write functionality tests for special pages.Aug 14 2015, 8:02 AM
Addshore closed this task as Declined.Nov 5 2019, 2:19 PM
Addshore added a subscriber: Addshore.

Going to close this 4+ year old ancient ticket as we may not even want these things now.
We have a new story that will be taking a fresh look at our tests.
If we decide we want these things, new tasks would be created or reopened etc.
T226975: [Story] Restructuring Wikibase extension tests

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 5 2019, 2:19 PM